How can I help you?
TextBoxModel
16 Dec 20253 minutes to read
Interface for a class TextBox
Properties
blur EmitType<FocusOutEventArgs>
Triggers when the TextBox has focus-out.
change EmitType<ChangedEventArgs>
Triggers when the content of TextBox has changed and gets focus-out.
created EmitType<Object>
Triggers when the TextBox component is created.
destroyed EmitType<Object>
Triggers when the TextBox component is destroyed.
focus EmitType<FocusInEventArgs>
Triggers when the TextBox gets focus.
input EmitType<InputEventArgs>
Triggers each time when the value of TextBox has changed.
appendTemplate string|object
Specifies the HTML template string for custom elements to append to the TextBox input.
Supports icons, buttons, or any valid HTML. Updates dynamically on property change.
autocomplete string
Specifies whether the browser is allow to automatically enter or select a value for the textbox.
By default, autocomplete is enabled for textbox.
Possible values are:
on - Specifies that autocomplete is enabled.
off - Specifies that autocomplete is disabled.
cssClass string
Specifies the CSS class value that is appended to wrapper of Textbox.
enablePersistence boolean
Enable or disable persisting TextBox state between page reloads. If enabled, the value state will be persisted.
enableRtl boolean
Enable or disable rendering component in right to left direction.
enabled boolean
Specifies a Boolean value that indicates whether the TextBox allow user to interact with it.
floatLabelType FloatLabelType
Specifies the floating label behavior of the TextBox that the placeholder text floats above the TextBox based on the below values.
Possible values are:
-
Never- The placeholder text should not be float ever. -
Always- The placeholder text floats above the TextBox always. -
Auto- The placeholder text floats above the TextBox while focusing or enter a value in Textbox.
htmlAttributes { : }
You can add the additional html attributes such as disabled, value etc., to the element.
If you configured both property and equivalent html attribute then the component considers the property value.
<ejs-textbox [htmlAttributes]="htmlAttributes"></ejs-textbox>import { Component, ViewEncapsulation } from '@angular/core';
@Component({
selector: 'app-root',
styleUrls: ['app.component.css'],
templateUrl: 'app.component.html',
encapsulation: ViewEncapsulation.None
})
export class AppComponent {
constructor() { }
public htmlAttributes = { name: "username", type: "password", maxlength:"8" };
}locale string
Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.
multiline boolean
Specifies a boolean value that enable or disable the multiline on the TextBox.
The TextBox changes from single line to multiline when enable this multiline mode.
placeholder string
Specifies the text that is shown as a hint/placeholder until the user focus or enter a value in Textbox.
The property is depending on the floatLabelType property.
prependTemplate string|object
Specifies the HTML template string for custom elements to prepend to the TextBox input.
Supports icons, buttons, or any valid HTML. Updates dynamically on property change.
readonly boolean
Specifies the boolean value whether the TextBox allows user to change the text.
showClearButton boolean
Specifies a Boolean value that indicates whether the clear button is displayed in Textbox.
type string
Specifies the behavior of the TextBox such as text, password, email, etc.
value string
Sets the content of the TextBox.
width number|string
Specifies the width of the Textbox component.

How can I help you?
TextBoxModel
16 Dec 20253 minutes to read
Interface for a class TextBox
Properties
blur EmitType<FocusOutEventArgs>
Triggers when the TextBox has focus-out.
change EmitType<ChangedEventArgs>
Triggers when the content of TextBox has changed and gets focus-out.
created EmitType<Object>
Triggers when the TextBox component is created.
destroyed EmitType<Object>
Triggers when the TextBox component is destroyed.
focus EmitType<FocusInEventArgs>
Triggers when the TextBox gets focus.
input EmitType<InputEventArgs>
Triggers each time when the value of TextBox has changed.
appendTemplate string|function
Specifies the HTML template string for custom elements to append to the TextBox input.
Supports icons, buttons, or any valid HTML. Updates dynamically on property change.
autocomplete string
Specifies whether the browser is allow to automatically enter or select a value for the textbox.
By default, autocomplete is enabled for textbox.
Possible values are:
on - Specifies that autocomplete is enabled.
off - Specifies that autocomplete is disabled.
cssClass string
Specifies the CSS class value that is appended to wrapper of Textbox.
enablePersistence boolean
Enable or disable persisting TextBox state between page reloads. If enabled, the value state will be persisted.
enableRtl boolean
Enable or disable rendering component in right to left direction.
enabled boolean
Specifies a Boolean value that indicates whether the TextBox allow user to interact with it.
floatLabelType FloatLabelType
Specifies the floating label behavior of the TextBox that the placeholder text floats above the TextBox based on the below values.
Possible values are:
-
Never- The placeholder text should not be float ever. -
Always- The placeholder text floats above the TextBox always. -
Auto- The placeholder text floats above the TextBox while focusing or enter a value in Textbox.
htmlAttributes { : }
You can add the additional html attributes such as disabled, value etc., to the element.
If you configured both property and equivalent html attribute then the component considers the property value.
<template>
<ejs-textbox :htmlAttributes="htmlAttributes"></ejs-textbox>
</template>
<script>
import Vue from "vue";
import { TextBoxPlugin } from "@syncfusion/ej2-vue-inputs";
Vue.use(TextBoxPlugin);
export default {
data() {
return {
htmlAttributes: { name: "username", type: "password", maxlength:"8" }
};
}
};
</script>locale string
Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.
multiline boolean
Specifies a boolean value that enable or disable the multiline on the TextBox.
The TextBox changes from single line to multiline when enable this multiline mode.
placeholder string
Specifies the text that is shown as a hint/placeholder until the user focus or enter a value in Textbox.
The property is depending on the floatLabelType property.
prependTemplate string|function
Specifies the HTML template string for custom elements to prepend to the TextBox input.
Supports icons, buttons, or any valid HTML. Updates dynamically on property change.
readonly boolean
Specifies the boolean value whether the TextBox allows user to change the text.
showClearButton boolean
Specifies a Boolean value that indicates whether the clear button is displayed in Textbox.
type string
Specifies the behavior of the TextBox such as text, password, email, etc.
value string
Sets the content of the TextBox.
width number|string
Specifies the width of the Textbox component.

TextBoxModel
16 Dec 20252 minutes to read
Interface for a class TextBox
Properties
blur EmitType<FocusOutEventArgs>
Triggers when the TextBox has focus-out.
change EmitType<ChangedEventArgs>
Triggers when the content of TextBox has changed and gets focus-out.
created EmitType<Object>
Triggers when the TextBox component is created.
destroyed EmitType<Object>
Triggers when the TextBox component is destroyed.
focus EmitType<FocusInEventArgs>
Triggers when the TextBox gets focus.
input EmitType<InputEventArgs>
Triggers each time when the value of TextBox has changed.
appendTemplate string|function|JSX.Element
Specifies the HTML template string for custom elements to append to the TextBox input.
Supports icons, buttons, or any valid HTML. Updates dynamically on property change.
autocomplete string
Specifies whether the browser is allow to automatically enter or select a value for the textbox.
By default, autocomplete is enabled for textbox.
Possible values are:
on - Specifies that autocomplete is enabled.
off - Specifies that autocomplete is disabled.
cssClass string
Specifies the CSS class value that is appended to wrapper of Textbox.
enablePersistence boolean
Enable or disable persisting TextBox state between page reloads. If enabled, the value state will be persisted.
enableRtl boolean
Enable or disable rendering component in right to left direction.
enabled boolean
Specifies a Boolean value that indicates whether the TextBox allow user to interact with it.
floatLabelType FloatLabelType
Specifies the floating label behavior of the TextBox that the placeholder text floats above the TextBox based on the below values.
Possible values are:
-
Never- The placeholder text should not be float ever. -
Always- The placeholder text floats above the TextBox always. -
Auto- The placeholder text floats above the TextBox while focusing or enter a value in Textbox.
htmlAttributes { : }
You can add the additional html attributes such as disabled, value etc., to the element.
If you configured both property and equivalent html attribute then the component considers the property value.
import './App.css';
import * as React from 'react';
import { TextBoxComponent } from '@syncfusion/ej2-react-inputs';
class App extends React.Component {
public htmlAttributes = { name: "username", type: "password", maxlength:"8" };
public render() {
return (<TextBoxComponent htmlAttributes={this.htmlAttributes} />);
}
}
export default App;
locale string
Overrides the global culture and localization value for this component. Default global culture is ‘en-US’.
multiline boolean
Specifies a boolean value that enable or disable the multiline on the TextBox.
The TextBox changes from single line to multiline when enable this multiline mode.
placeholder string
Specifies the text that is shown as a hint/placeholder until the user focus or enter a value in Textbox.
The property is depending on the floatLabelType property.
prependTemplate string|function|JSX.Element
Specifies the HTML template string for custom elements to prepend to the TextBox input.
Supports icons, buttons, or any valid HTML. Updates dynamically on property change.
readonly boolean
Specifies the boolean value whether the TextBox allows user to change the text.
showClearButton boolean
Specifies a Boolean value that indicates whether the clear button is displayed in Textbox.
type string
Specifies the behavior of the TextBox such as text, password, email, etc.
value string
Sets the content of the TextBox.
width number|string
Specifies the width of the Textbox component.